Package com.fasterxml.jackson.annotation

# Annotation Type JsonRootName

@Target({ANNOTATION_TYPE,TYPE}) @Retention(RUNTIME) public @interface JsonRootName
Annotation similar to `javax.xml.bind.annotation.XmlRootElement`, used to indicate name to use for root-level wrapping, if wrapping is enabled. Annotation itself does not indicate that wrapping should be used; but if it is, the name used for serialization should be the name specified here, and deserializer will expect the name as well.

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`value`
Root name to use if root-level wrapping is enabled.

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`namespace`
Optional namespace to use with data formats that support such concept (specifically XML); if so, used with `value()` to construct fully-qualified name.

## Element Details

### value

String value
Root name to use if root-level wrapping is enabled. For data formats that use composite names (XML), this is the "local part" of the name to use.

### namespace

String namespace
Optional namespace to use with data formats that support such concept (specifically XML); if so, used with `value()` to construct fully-qualified name.

Since:
  2.4

Default:
  `""`